org.apache.sqoop.lib

## Class ProcessingException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.sqoop.lib.ProcessingException

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    ProcessingException

      public class ProcessingException
      extends java.lang.Exception

  General error during processing of a SqoopRecord.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProcessingException()`
    `ProcessingException(java.lang.String message)`
    `ProcessingException(java.lang.String message, java.lang.Throwable cause)`
    `ProcessingException(java.lang.Throwable cause)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ProcessingException

          public ProcessingException()

    - #### ProcessingException

          public ProcessingException(java.lang.String message)

    - #### ProcessingException

          public ProcessingException(java.lang.Throwable cause)

    - #### ProcessingException

          public ProcessingException(java.lang.String message,
                             java.lang.Throwable cause)

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Throwable`

Copyright © 2015 The Apache Software Foundation